<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-home"></i>
    </span>
    Inicio
  </h3>
  <nav aria-label="breadcrumb">
    <ul class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page">
        <span></span>
      </li>
    </ul>
  </nav>
</div>
<div class="minimun">
  <div class="row">
    <div class="col-md-4 stretch-card grid-margin">
      <div class="card bg-gradient-danger card-img-holder text-white">
        <div class="card-body">
          <img src="assets/images/dashboard/circle.svg" class="card-img-absolute" alt="circle-image" />
          <h4 class="font-weight-normal mb-3">Ingredientes por vencer próximos 7 días
            <i class="mdi mdi-chart-line mdi-24px float-right"></i>
          </h4>
          <h2 class="mb-5">{{ingredientesPorVencerCount}}</h2>
        </div>
      </div>
    </div>


    <div class="col-md-4 stretch-card grid-margin">
      <div class="card bg-gradient-info card-img-holder text-white">
        <div class="card-body">
          <img src="assets/images/dashboard/circle.svg" class="card-img-absolute" alt="circle-image" />
          <h4 class="font-weight-normal mb-3">Pedidos actuales del mes
            <i class="mdi mdi-bookmark-outline mdi-24px float-right"></i>
          </h4>
          <h2 class="mb-5">{{pedidosMes}}</h2>
        </div>
      </div>
    </div>
    <div class="col-md-4 stretch-card grid-margin">
      <div class="card bg-gradient-primary card-img-holder text-white">
        <div class="card-body">
          <img src="assets/images/dashboard/circle.svg" class="card-img-absolute" alt="circle-image" />
          <h4 class="font-weight-normal mb-3">Ingredientes vencidos del mes
            <i class="mdi mdi-diamond mdi-24px float-right"></i>
          </h4>
          <h2 class="mb-5">{{ingredientesVencidosMesCount}}</h2>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="row">
  <div class="col-12 grid-margin">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="title mb-sm-0">Ingredientes por vencer próximos 7 días</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table id="datatable1" datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Marca</th>
                <th class="font-weight-bold">Peso actual</th>
                <th class="font-weight-bold">Fecha caducidad</th>
                <th class="font-weight-bold">Código</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of ingredientesPorVencer">
                <td>{{ item.ingrediente.nombre }}</td>
                <td>{{ item.ingrediente.marca.nombre  }}</td>
                <td>{{ item.peso_actual }}</td>
                <td>{{ item.fecha_caducidad | date:'dd-MM-yyy'}}</td>
                <td>{{ item.codigo}}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-lg-7 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-flex flex-wrap justify-content-between">
          <h4 class="title">Pedidos ultimos 3 meses</h4>
          <div id="visit-sale-chart-legend" class="rounded-legend legend-horizontal">
            <ul>
              <li class="mr-0">
                <span class="legend-dots"></span>Pedidos
              </li>
            </ul>
          </div>
        </div>
        <canvas baseChart #visitSaleChart [chartType]="'bar'" [datasets]="this.visitSaleChartDat "
          [labels]="this.visitSaleBarLabel" [options]="visitSaleChartOptions" [colors]="visitSaleChartColors"></canvas>
      </div>
    </div>
  </div>
  <div class="col-lg-5 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <h4 class="title">Ingredientes vencidos</h4>
        <canvas baseChart [chartType]="'doughnut'" [datasets]="this.trafficChart" [labels]="trafficChartLabels"
          [options]="trafficChartOptions" [colors]="trafficChartColors"></canvas>
        <div id="traffic-chart-legend" class="rounded-legend legend-vertical legend-bottom-left pt-4">
          <ul>
            <li>
              <span class="legend-dots"></span>Mes anterior
              <span class="float-right">{{vencidoMesAnterior}}</span>
            </li>
            <li>
              <span class="legend-dots"></span>Mes actual
              <span class="float-right">{{ingredientesVencidosMesCount}}</span>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>

<app-datatable></app-datatable>
